<?php

/**

 * Options Page

 * @package AlertPay Button Generator

 * @subpackage Admin

 * @since 1.0

 */



/** Define Image Folder */

$img_folder = '../' . PLUGINDIR . '/' . ABG_SLUG . '/lib/img/';



/** Create the buttons */

$buy_it_now_buttons = array(

	'buy-now-01' => 'Buy Now 1',

	'buy-now-02' => 'Buy Now 2',

	'buy-now-03' => 'Buy Now 3',

	'buy-now-04' => 'Buy Now 4',

	'buy-now-05' => 'Buy Now 5',

	'buy-now-06' => 'Buy Now 6',

	'buy-now-07' => 'Buy Now 7'

);



$subscribe_buttons = array(

	'subscribe-01' => 'Subscribe 1',

	'subscribe-02' => 'Subscribet 2',

	'subscribe-03' => 'Subscribe 3',

	'subscribe-04' => 'Subscribet 4',

	'subscribet-05' => 'Subscribe 5'

);



$donate_buttons = array(

	'donate-01' => 'Donate 1',

	'donate-02' => 'Donate 2',

	'donate-03' => 'Donate 3',

	'donate-04' => 'Donate 4',

	'donate-05' => 'Donate 5',

	'donate-06' => 'Donate 6'

);



?>



<div class="wrap">

  <h2><?php echo ABG_NAME;?></h2>

  <?php abg_admin_donate();?>

  <form action="options.php" method="POST">

  <?php settings_fields( ABG_SLUG ); ?>

    <table class="form-table">

      <tr valign="top">

        <th scope="row">Default Product Title</th>

        <td><input type="text" name="ABG_default_title" value="<?php echo get_option('ABG_default_title');?>" /></td>

      </tr>

      <tr valign="top">

        <th scope="row">Primary AlertPay Email Address</th>

        <td><input type="text" name="ABG_alertpay_email" value="<?php echo get_option('ABG_alertpay_email');?>" /></td>

      </tr>

     
      <tr valign="top">

        <th scope="row">Default Donate Description</th>

        <td><input type="text" name="ABG_donate_description" value="<?php echo get_option('ABG_donate_description');?>" /></td>

      </tr>
	  
	   <tr valign="top">

        <th scope="row">Thank You Page</th>

        <td><?php wp_dropdown_pages('name=ABG_thank_you_page&selected=' . get_option('ABG_thank_you_page'));?></td>

      </tr>

      <tr valign="top">

        <th scope="row">Cancel Page</th>

        <td><?php wp_dropdown_pages('name=ABG_cancel_page&selected=' . get_option('ABG_cancel_page'));?></td>

      </tr>

      <tr valign="top">

        <th scope="row">Buy Now Button</th>

        <td>

          <?php echo abg_button_dropdown(get_option('ABG_buy_now_button'), 'ABG_buy_now_button', $buy_it_now_buttons);?>

          <div id="ABG_buy_now_button_preview">

   			<img src="<?php echo $img_folder . get_option('ABG_buy_now_button');?>.gif" />

		  </div>

        </td>

      </tr>

      <tr valign="top">

        <th scope="row">Subscribe Button</th>

        <td>

          <?php echo abg_button_dropdown(get_option('ABG_susbscribe_button'), 'ABG_subscribe_button', $subscribe_buttons);?>

          <div id="ABG_subscribe_preview">

   			<img src="<?php echo $img_folder . get_option('ABG_subscribe_button');?>.gif" />

		  </div>

        </td>

      </tr>


      <tr valign="top">

        <th scope="row">Donate Button</th>

        <td>

          <?php echo abg_button_dropdown(get_option('ABG_donate_button'), 'ABG_donate_button', $donate_buttons);?>

          <div id="ABG_donate_button_preview">

   			<img src="<?php echo $img_folder . get_option('ABG_donate_button');?>.gif" />

		  </div>

        </td>

      </tr>

    </table>

    <p class="submit">

      <input type="submit" class="button-primary" name="submit" value="Save Options" />

    </p>

  </form>

</div>